package org.netkernel.module.standard.builtin;

import org.netkernel.layer0.meta.IPrototypeMeta;
import org.netkernel.layer0.meta.IPrototypeParameterMeta;
import org.netkernel.layer0.meta.impl.DefaultPrototypeMeta;
import org.netkernel.layer0.meta.impl.PrototypeParameterMetaImpl;
import org.netkernel.urii.IIdentifier;
import org.w3c.dom.Element;


public class MetaProviderPrototype extends DefaultPrototypeMeta
{
	public static final String PARAM_CLASS="class";
	
	public static IPrototypeParameterMeta[] sPrototypeParameters = new IPrototypeParameterMeta[]
    {	//new PrototypeParameterMetaImpl(PARAM_CLASS,String.class,null,0,Integer.MAX_VALUE),
		new PrototypeParameterMetaImpl("config",Element.class,IPrototypeParameterMeta.NO_DEFAULT),
		//new PrototypeParameterMetaImpl("representation",Element.class,null,0,Integer.MAX_VALUE),
  	};
	
	public MetaProviderPrototype()
	{	super(MetaProviderEndpoint.class,"MetaProvider");
	}

	public IPrototypeParameterMeta[] getParameters()
	{	return sPrototypeParameters;
	}

	public String getName()
	{	return "Meta Provider";
	}

	public String getDescription()
	{	return "allows declaration of representations and prototypes";
	}
}